Start Lobby
curl --request POST \
--url https://softmax.com/api/observatory/v2/lobbies/{lobby_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"expected_revision": 1
}
'import requests
url = "https://softmax.com/api/observatory/v2/lobbies/{lobby_id}/start"
payload = {
"idempotency_key": "<string>",
"expected_revision": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotency_key: '<string>', expected_revision: 1})
};
fetch('https://softmax.com/api/observatory/v2/lobbies/{lobby_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"league_id": "<string>",
"coworld_id": "<string>",
"coworld_name": "<string>",
"coworld_version": "<string>",
"coworld_manifest_hash": "<string>",
"host_user_id": "<string>",
"variant_id": "<string>",
"variants": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"num_players": 123
}
],
"authored_game_config": {},
"game_config_schema": {},
"min_players": 123,
"max_players": 123,
"min_player_limit": 123,
"max_player_limit": 123,
"status": "draft",
"revision": 123,
"episode_request_id": "<string>",
"episode_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replay_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"termination_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"seats": [
{
"position": 123,
"kind": "human_open",
"player_id": "<string>",
"player_name": "<string>",
"is_me": true,
"claimant_label": "<string>",
"can_claim": true,
"can_remove": true
}
],
"can_manage": true,
"permissions": {
"can_start": true,
"can_edit": true,
"can_remove_player": true,
"can_end_game": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v2
Start Lobby
POST
/
v2
/
lobbies
/
{lobby_id}
/
start
Start Lobby
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^lby_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Available options:
draft, starting, running, completed, failed, cancelled, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes